Bug 252489 - www/py-flask-smorest: Update to 0.26.0
Summary: www/py-flask-smorest: Update to 0.26.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/marshmallow-code/f...
Keywords: buildisok
Depends on: 252440
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-07 10:00 UTC by Goran Mekić
Modified: 2021-01-08 13:21 UTC (History)
1 user (show)

See Also:


Attachments
flask-smorest.diff (930 bytes, patch)
2021-01-07 10:00 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2021-01-07 10:00:59 UTC
Created attachment 221347 [details]
flask-smorest.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.2, amd64 tested)
  * maketest: OK (571 passed, 4 warnings)
Comment 1 Automation User 2021-01-07 10:28:42 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/238507750
Comment 2 commit-hook freebsd_committer 2021-01-08 11:10:52 UTC
A commit references this bug:

Author: rhurlin
Date: Fri Jan  8 11:10:20 UTC 2021
New revision: 560761
URL: https://svnweb.freebsd.org/changeset/ports/560761

Log:
  www/py-flask-smorest: Update to 0.26.0

  Update with backwards-incompatible changes:
  - Use warnings.warn rather than log warnings in application log
  - Support webargs 7. Drop support for webargs 6
  Other changes:
  - Official Python 3.9 support
  - Bound dependencies versions in setup.py

  Changelog: https://github.com/marshmallow-code/flask-smorest/blob/master/CHANGELOG.rst#0260-2020-12-17

  PR:		252489
  Submitted by:	Goran Mekic
  Approved by:	arrowd, tcberner (mentors, implicit)

Changes:
  head/www/py-flask-smorest/Makefile
  head/www/py-flask-smorest/distinfo
Comment 3 Rainer Hurling freebsd_committer 2021-01-08 13:21:08 UTC
Committed, thanks